Bug 1211253 - [RFE] Provide mechanism to specify custom repository variables from command line
Summary: [RFE] Provide mechanism to specify custom repository variables from command line
Status: CLOSED DUPLICATE of bug 1251774
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Reopened, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-13 12:37 UTC by Vít Ondruch
Modified: 2017-09-04 16:28 UTC (History)
11 users (show)

(edit)
Clone Of: 1173107
(edit)
Last Closed: 2017-06-08 09:51:00 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1173107 None CLOSED mock: use of "dnf --installroot ..." yields "releasever not given" error 2019-02-19 07:31 UTC
Red Hat Bugzilla 1190854 None CLOSED allow overriding $arch and $basearch via CLI 2019-02-19 07:31 UTC

Internal Trackers: 1173107 1190854

Description Vít Ondruch 2015-04-13 12:37:29 UTC
+++ This bug was initially created as a clone of Bug #1173107 +++

> 3) Optionally, provide some mechanism, which would replace --releasever
> parameter in some generic way, e.g. let me use also $foo and $bar variables
> in my DNF configuration files and let me specify them on command line.

Comment 1 Radek Holy 2015-04-13 13:01:59 UTC
Are there any existing repositories that needs $foo and $bar (where {$foo, $bar} ∩ {$relesever, $basearch} == {}) on order to resolve their URLs?

Comment 2 Vít Ondruch 2015-04-13 13:14:28 UTC
Can be there since there is not such functionality supported yet? But if you take a look at:

/etc/yum.repos.d/fedora.repo
/etc/yum.repos.d/fedora-updates.repo
/etc/yum.repos.d/fedora-updates-testing.repo

you could recognize some patterns there.

For example the updates and update-testing differ more or less just in updates-{released,testing}, you could use some parameter to switch between these two.

But again, the original point in bug bug 1173107 was that the releasever parameter has prominent place without any substantial reason and as its turn out, it leads later to its abuse of this parameter. May be it is totally wrong to allow such parameter substitutions ...

Comment 3 Radek Holy 2015-04-13 13:21:32 UTC
(In reply to Vít Ondruch from comment #2)
> But again, the original point in bug bug 1173107 was that the releasever
> parameter has prominent place without any substantial reason and as its turn
> out, it leads later to its abuse of this parameter. May be it is totally
> wrong to allow such parameter substitutions ...

So, in the end, you don't need this feature?

> Can be there since there is not such functionality supported yet? But if you
> take a look at:
> 
> /etc/yum.repos.d/fedora.repo
> /etc/yum.repos.d/fedora-updates.repo
> /etc/yum.repos.d/fedora-updates-testing.repo
> 
> you could recognize some patterns there.
> 
> For example the updates and update-testing differ more or less just in
> updates-{released,testing}, you could use some parameter to switch between
> these two.

But users don't want to "switch between these two". They want to use different combinations of them. If you specify these repositories in one file using the variable, you won't be able to (easily) use/enable these repositories together.

Comment 4 Radek Holy 2015-04-13 13:23:33 UTC
Since there is no apparent need to specify $releasever in some generic way, let me handle this request as a request for an ability to specify custom variables.

Comment 5 Vít Ondruch 2015-04-13 13:30:53 UTC
(In reply to Radek Holy from comment #3)
> (In reply to Vít Ondruch from comment #2)
> > But again, the original point in bug bug 1173107 was that the releasever
> > parameter has prominent place without any substantial reason and as its turn
> > out, it leads later to its abuse of this parameter. May be it is totally
> > wrong to allow such parameter substitutions ...
> 
> So, in the end, you don't need this feature?

No, I don't have any real use case at my hand. This was just requested in context of bug 1173107

(In reply to Radek Holy from comment #4)
> Since there is no apparent need to specify $releasever in some generic way,
> let me handle this request as a request for an ability to specify custom
> variables.

If $releasever looses its prominent status this way, then this is perfect ;)

Comment 6 Honza Silhan 2015-08-11 14:31:51 UTC
*** Bug 1251774 has been marked as a duplicate of this bug. ***

Comment 7 Fedora Admin XMLRPC Client 2016-07-08 09:34:27 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 8 Fedora End Of Life 2016-07-19 20:47:31 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Jaroslav Mracek 2017-06-08 09:51:00 UTC
Thank you very much for your request, but according to provided information that you don't have any real user-case I have to close it. Of course in case some real user-case appears, please don't hesitate to reopen the bug report.

Comment 10 Till Maas 2017-09-04 16:28:47 UTC

*** This bug has been marked as a duplicate of bug 1251774 ***


Note You need to log in before you can comment on or make changes to this bug.